// Java Interface to Illustra
// Erwin Kalvelagen, TNO FEL
// Copyright (c) 1996 Bradley McLean / Jeffrey Medeiros
// Modifications Copyright (c) 1996/1997 Martin Rode
// Copyright (c) 1997 Peter T Mount
//
// You may distribute under the terms of the GNU Public License as
// specified in the README file that comes with the JavaPostgres95 Kit

// Column Names are stored in 'columns'
// Values are stored in 'tuples'

package mijdbc;

import java.sql.*;
import java.math.*;
import java.util.*;
import java.io.*;


/**
 * JDBC Interface to Illustra functions
 */

public class MIColumn {
  String name;
  int	id;   // this is just a unique number; the real id's are 64 bit oid's 
              // they are mapped in the type table.
  short size;

  int bound;  // for numeric/decimal this is precision
  int parameter; // for numeric/decimal this is scale
  int nullable; 


  public String toString() {
    return "MIColumn(name="+name+",id="+id+",size="+size+")";
  }


}

