
package mijdbc;

import java.io.*;

/**
 * JDBC Interface to Illustra functions
 *
 * A simple hex dump facility
 * Only used for debugging
 */

public class MIHexDump 
{

  
  private static boolean isPrintable(byte b) {
    return (b >= 32 && b <= 126);
  }
  
  private static String HexNibble(int nibble) {
    return Integer.toHexString(nibble);
  }

  public static String HexByte(byte b) {

    // outputs hex representation of a single byte

    int nibble1 = (b >> 4) & 0x0f;
    int nibble2 = b & 0x0f;

    return HexNibble(nibble1)+HexNibble(nibble2);
  }


  /**
   * Creates a hex dump listing of a byte buffer.
   */

  public static void DumpBuffer(byte[] buf, int pos, int n) {

    StringBuffer Hex = new StringBuffer("");
    StringBuffer Asc = new StringBuffer("");

    int i,j;

    for (i = 0, j = pos; i<n; ++i, ++j) {

      byte b = buf[j];
    
      Hex.append(HexByte(b)+"  ");

      if (isPrintable(b))
	Asc.append((char) b);
      else
	Asc.append(".");
    }

    
    while (Hex.length() < 40)
      Hex.append(" ");

    System.out.println("  "+Hex+"   "+Asc);
  }


  public static void DumpBuffer(byte[] buf) {
    DumpBuffer(buf, 0, buf.length);
  }

}

